ServiceError (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.types.ServiceError class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.types
Class ServiceError

    java.lang.Object
      org.hyperic.hq.types.ServiceError

    public class ServiceError

extends java.lang.Object

Java class for ServiceError complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ServiceError">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ErrorCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ReasonText" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `errorCode`
`protected java.lang.String` | `reasonText`

Constructor Summary
`ServiceError()`

Method Summary
`java.lang.String` | `getErrorCode()` Gets the value of the errorCode property.
`java.lang.String` | `getReasonText()` Gets the value of the reasonText property.
`void` | `setErrorCode(java.lang.String value)` Sets the value of the errorCode property.
`void` | `setReasonText(java.lang.String value)` Sets the value of the reasonText property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorCode

    protected java.lang.String errorCode

### reasonText

    protected java.lang.String reasonText

Constructor Detail

### ServiceError

    public ServiceError()

Method Detail

### getErrorCode

    public java.lang.String getErrorCode()

  Gets the value of the errorCode property.

  Returns:
    possible object is `String`

### setErrorCode

    public void setErrorCode(java.lang.String value)

  Sets the value of the errorCode property.

  Parameters:
    `value` - allowed object is `String`

### getReasonText

    public java.lang.String getReasonText()

  Gets the value of the reasonText property.

  Returns:
    possible object is `String`

### setReasonText

    public void setReasonText(java.lang.String value)

  Sets the value of the reasonText property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.